import { APIClient, NameType, API, PrivateKey } from '@wharfkit/antelope';
import { GetInfoResponse } from '@wharfkit/antelope/src/api/v1/types';
export declare function getApi(): Promise<APIClient>;
/**
 * This function serializes one action into hex string
 *
 * @param {string} account - name of the contract account to pull the ABI from
 * @param {string } type - name of the action that will be executed
 * @param {object} data - data of the action that will be executed
 * @returns {string} - hex string of the serialized action
 */
export declare function serializeActionData(account: string, type: string, data: object): Promise<string>;
export declare function getChainInfo(): Promise<GetInfoResponse>;
export declare function getAccount(account: NameType): Promise<API.v1.AccountObject>;
export declare function getProducers(): Promise<API.v1.GetProducerScheduleResponse>;
export declare function getTonomyOperationsKey(): PrivateKey;
//# sourceMappingURL=eosio.d.ts.map